package br.com.testeunit;


import junit.framework.Test;
import junit.framework.TestCase;
import junit.framework.TestSuite;

import org.junit.After;
import org.junit.Before;

import br.com.bean.Book;

public class BookTeste extends TestCase {
	private Book book1;
	private Book book2;
	@Before
	public void setUp() throws Exception {
		super.setUp();
		book1 = new Book("scjp", "camilo");
		book2 = new Book("javaee","camilo");
	}

	@After
	public void tearDown() throws Exception {
		super.tearDown();
		book1=null;
		book2=null;
	}
	public BookTeste(String name) {
		super(name);
	}
	
	//crio um metodo para teste
	public void testEquals(){
		assertFalse(book2.equals(book1)); //eh falso? sim. 
		assertFalse(book1.equals(book2)); //eh falso? sim.
		
	}
	
	public static Test suite(){
		TestSuite suite = new TestSuite();
			suite.addTest(new BookTeste("testEquals"));
		return suite;
	}
}
