package br.com.forlinux.teste;

import static org.junit.Assert.*;

import java.math.BigDecimal;

import org.junit.Test;

import br.com.forlinux.bean.Frete;


public class FreteTeste {

	@Test
	public void testCalcularFreteAcimaUmKg(){
		assertEquals("Valor do Frete: ",new BigDecimal(62),new Frete().calculoPreco(3));
	}
	
	@Test
	public void testCalculaFreteAteUmKg(){
		assertEquals("Valor do Frete: ",new BigDecimal(24), new Frete().calculoPreco(1));
	}
	
	@Test
	public void testPrazoEntregaLocal(){
		assertEquals("Entrega em 5 dias", new Frete().prazoDestino("SP", "sp"));
	}
	
	@Test
	public void testPrazoEntregaForaEstado(){
		assertEquals("Entrega em 15 dias", new Frete().prazoDestino("BA", "SP"));
	}
}
